Bug 820935 - [RHEVM] [GUI] [webadmin] Override MTU check-box should be disabled on network which is attached to cluster
[RHEVM] [GUI] [webadmin] Override MTU check-box should be disabled on network...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: vszocs
Martin Pavlik
network
:
Depends On: 819000
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:22 EDT by Martin Pavlik
Modified: 2016-02-10 14:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (131.28 KB, image/png)
2012-05-11 07:24 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-11 07:22:56 EDT
Description of problem:
Override MTU check-box is active for networks which are attached to cluster, it
is possible to check/uncheck the box and rewrite the field but the change is ignored by webadmin,
check-box and field should be grayed out for network which is attached to
cluster

Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-9.el6ev 

How reproducible:
100%

Steps to Reproduce:
1) Data Center -> Logical Networks -> New
   a) fill in Name 
   b) check your cluster under Assign Networks to Cluster(s)

2) Data Center -> Logical Networks -> network created in step 1 -> edit


Actual results:
check-box and filed is active for network which is attached to cluster, but it does not
matter whether you change it or not, it remains in same state as before the
change

Expected results:
check-box and field should be grayed out for network which is attached to
cluster

Additional info:
Comment 1 Martin Pavlik 2012-05-11 07:24:32 EDT
Created attachment 583809 [details]
screenshot
Comment 2 Avi Tal 2012-05-12 02:28:51 EDT
The problem actually is that it remains the same.

MTU is a physical configuration on the host and until it is being configured, i see to reason why it shouldn't be editable.
Comment 3 lpeer 2012-05-18 03:19:36 EDT
(In reply to comment #2)
> The problem actually is that it remains the same.
> 
> MTU is a physical configuration on the host and until it is being configured, i
> see to reason why it shouldn't be editable.

same reply as for BZ 820932, your comment is right in the long term, currently not blocking this is a UI bug.
Comment 4 vszocs 2012-05-23 11:20:28 EDT
This issue was also reported upstream, see [https://bugzilla.redhat.com/821021].

Patch [http://gerrit.ovirt.org/4343] was merged upstream, Git commit hash [aa12d1426c2599e12e055df3042a94c56d9d62e8].

Note You need to log in before you can comment on or make changes to this bug.